package com.trafficparrot.sdk.example.template;

import com.github.jknack.handlebars.Handlebars;
import com.github.jknack.handlebars.Options;
import com.trafficparrot.sdk.TrafficParrotHelper;

import java.io.IOException;
import java.util.Random;

/**
 * This is how {{randomInteger}} dynamic template extension is implemented in Traffic Parrot.
 */
public class RandomInteger extends TrafficParrotHelper<Object> {
    @Override
    public Handlebars.SafeString doApply(Object nothing, Options options) throws IOException {
        return new Handlebars.SafeString(String.valueOf(new Random().nextInt()));
    }
}
